package de.c64_editor.charset;

import java.awt.Color;

/**
 * Enthlt nur ein paar Konstanten, die den auf dem C64 verfgbaren Farben
 * entsprechen.
 *
 * @author Argh The Awful
 */
public class C64Colors {

	public static int BLACK = 0;
	public static int WHITE = 1;
	public static int RED = 2;
	public static int CYAN = 3;
	public static int PURPLE = 4;
	public static int GREEN = 5;
	public static int BLUE = 6;
	public static int YELLOW = 7;
	public static int ORANGE = 8;
	public static int BROWN = 9;
	public static int LIGHT_RED = 10;
	public static int DARK_GREY = 11;
	public static int MEDIUM_GREY = 12;
	public static int LIGHT_GREEN = 13;
	public static int LIGHT_BLUE = 14;
	public static int LIGHT_GREY = 15;

	private static Color[] colors = {new Color(0x00,0x00,0x00),	//00:Black
			  						 new Color(0xFF,0xFF,0xFF),	//01:White
			  						 new Color(0x7F,0x00,0x00),	//02:Red
			  						 new Color(0x00,0xFF,0xFF),	//03:Cyan
			  						 new Color(0xFF,0x00,0xFF),	//04:Purple
			  						 new Color(0x00,0x7F,0x00),	//05:Green
			  						 new Color(0x00,0x00,0x7F),	//06:Blue
			  						 new Color(0xFF,0xFF,0x00),	//07:Yellow
			  						 new Color(0xFF,0x7F,0x00),	//08:Orange
			  						 new Color(0xAF,0x7F,0x00),	//09:Brown
			  						 new Color(0xFF,0x00,0x00),	//10:Light Red
			  						 new Color(0x1F,0x1F,0x1F),	//11:Dark Grey
			  						 new Color(0x3F,0x3F,0x3F),	//12:Medium Grey
			  						 new Color(0x00,0xFF,0x00),	//13:Light Green
			  						 new Color(0x00,0x00,0xFF),	//14:Light Blue
			  						 new Color(0x7F,0x7F,0x7F)};//15:Hellgrau

	/**
	 * Gibt ein {@link Color}-Objekt der entsprechenden Farbe zurck. Entspricht
	 * das bergebene Argument keiner verfgbaren Farbe, wird die Farbe Schwarz
	 * zurckgegeben.
	 *
	 * @param color Wert der Farbe.
	 * @return Die zum Wert passende Farbe. 
	 */
	public static Color getColor(int color) {
		if (color < 0 || color > 15) {
			return colors[BLACK];
		} else {
			return colors[color];
		}
	}
}
