package de.c64_editor.charset;
import java.awt.BorderLayout;
import java.io.IOException;
import java.util.Arrays;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

import de.c64_editor.model.FileIO;

public class testChar {

	public static void main(String[] args) {
		JFrame frame = new JFrame();
		JPanel panel = new JPanel();

		/*
		 * Einlesen des Zeichensatzes "phobos.dat"
		 */
		byte[] byteArray = new byte[2048];
		Arrays.fill(byteArray, (byte)0);
		try {
			FileIO.readByteArray("src/de/Charset/phobos.dat", byteArray);
		} catch (IOException e) {
			System.out.println(e.getMessage());
		}
		C64CharSet charSet = new C64CharSet(byteArray);
		/*
		 * Einmal schreiben zum Testen.
		 */
		try {
			FileIO.writeByteArray("src/de/Charset/phobos1.dat", charSet.getByteArray());
		} catch (IOException e) {
			System.out.println(e.getMessage());
		}
		/*
		 * Generiert aus dem Zeichen #15 ein Icon mit dem Vergr�sserungsfaktor 8
		 * als single-color. Als Farben werden die default-Farben (Schwarz und
		 * Weiss) verwendet.
		 */
		JLabel singleColor1 = new JLabel(charSet.getChar(15).getIcon(8));
		/*
		 * Generiert aus dem Zeichen #15 ein Icon mit dem Vergr�sserungsfaktor 8
		 * als single-color. Farben sind die Farben Schwarz und Rot.
		 */
		JLabel singleColor2 = new JLabel(charSet.getChar(15).getIcon(8,
														C64Colors.BLACK,
														C64Colors.RED));
		/* Generiert aus dem Zeichen #15 ein Icon mit dem Vergr�sserungsfaktor 8
		 * als Multicolor-Zeichen mit den Farben:
		 *                $D021: Schwarz
		 *                $D022: Rot
		 *                $D023: Gr�n
		 *            Color_RAM: Hellblau ( = 14)
		 */
		JLabel multiColor1 = new JLabel(charSet.getChar(15).getMCIcon(8,
														C64Colors.BLACK,
														C64Colors.RED,
														C64Colors.GREEN,
														C64Colors.LIGHT_BLUE));
		/* Zeigt, was passiert, wenn der Wert im Color_RAM kleiner als 8 ist
		 * (soll heissen, das Zeichen #15 wird als Singlecolor dargestellt):
		 *                $D021: Schwarz
		 *                $D022: Rot
		 *                $D023: Gr�n
		 *            Color_RAM: Blau (= 6)
		 */
		JLabel multiColor2 = new JLabel(charSet.getChar(15).getMCIcon(8,
														C64Colors.BLACK,
														C64Colors.RED,
														C64Colors.GREEN,
														C64Colors.BLUE));
		panel.add(singleColor1);
		panel.add(singleColor2);
		panel.add(multiColor1);
		panel.add(multiColor2);
		frame.setLayout(new BorderLayout());
		frame.add(panel, BorderLayout.CENTER);
		frame.pack();
		frame.setVisible(true);
	}
}
